# Interface IJavaMethodBreakpoint

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable, org.eclipse.debug.core.model.IBreakpoint, IJavaBreakpoint, IJavaLineBreakpoint, org.eclipse.debug.core.model.ILineBreakpoint, org.eclipse.debug.core.model.ITriggerPoint`

public interface IJavaMethodBreakpoint extends IJavaLineBreakpoint
A method breakpoint suspends execution when a method is entered or exited.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.debug.core.model.IBreakpoint

`BREAKPOINT_MARKER, ENABLED, ID, LINE_BREAKPOINT_MARKER, PERSISTED, REGISTERED`

### Fields inherited from interface IJavaBreakpoint

`RESUME_ON_HIT, SUSPEND_THREAD, SUSPEND_VM`

### Fields inherited from interface org.eclipse.debug.core.model.ITriggerPoint

`TRIGGERPOINT`

## Method Summary

Modifier and Type
Method
Description
`int`
`getInlineLambdaPosition()`
Returns the position of lambda in a single line chained lambda expression.
`String`
`getLambdaName()`
Returns the local lambda name used by the user in editor
`String`
`getMethodName()`
Returns the name of the method(s) this breakpoint suspends execution in, or `null` if this breakpoint does not suspend execution based on method name.
`String`
`getMethodSignature()`
Returns the signature of the method(s) this breakpoint suspends execution in, or `null` if this breakpoint does not suspend execution based on method signature.
`String`
`getTypeName()`
Returns the pattern specifying the fully qualified name of type(s) this breakpoint suspends execution in.
`boolean`
`isEntry()`
Returns whether this breakpoint causes execution to suspend on entry to methods.
`boolean`
`isEntrySuspend(org.eclipse.debug.core.model.IDebugTarget target)`
Returns whether this breakpoint last suspended in the given target due to a method entry (`true`) or exit (`false`).
`boolean`
`isExit()`
Returns whether this breakpoint causes execution to suspend on exit of methods.
`boolean`
`isLambdaBreakpoint()`
Returns whether this breakpoint a lambda entry breakpoint or not.
`boolean`
`isNativeOnly()`
Returns whether this breakpoint causes execution to suspend only on entry/exit of native methods.
`void`
`setEntry(boolean entry)`
Sets whether this breakpoint causes execution to suspend on entry to methods.
`void`
`setExit(boolean exit)`
Sets whether this breakpoint causes execution to suspend on exit of methods.
`void`
`setInlineLambdaPosition(int pos)`
Sets the in-line lambda position
`void`
`setLambdaBreakpoint(boolean isLambdaBreakpoint)`
Sets whether this breakpoint lambda entry breakpoint or not
`void`
`setLambdaName(String lambda)`
Sets the local name used by user in the editor for single-lined lambdas
`void`
`setNativeOnly(boolean nativeOnly)`
Sets whether this breakpoint causes execution to suspend only on entry/exit of native methods.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.debug.core.model.IBreakpoint

`delete, getMarker, getModelIdentifier, isEnabled, isPersisted, isRegistered, setEnabled, setMarker, setPersisted, setRegistered`

### Methods inherited from interface IJavaBreakpoint

`addBreakpointListener, addInstanceFilter, getBreakpointListeners, getHitCount, getInstanceFilters, getSuspendPolicy, getThreadFilter, getThreadFilters, isDisableOnHit, isInstalled, removeBreakpointListener, removeInstanceFilter, removeThreadFilter, setDisableOnHit, setHitCount, setSuspendPolicy, setThreadFilter, supportsInstanceFilters, supportsThreadFilters`

### Methods inherited from interface IJavaLineBreakpoint

`getCondition, isConditionEnabled, isConditionSuspendOnTrue, setCondition, setConditionEnabled, setConditionSuspendOnTrue, supportsCondition`

### Methods inherited from interface org.eclipse.debug.core.model.ILineBreakpoint

`getCharEnd, getCharStart, getLineNumber`

### Methods inherited from interface org.eclipse.debug.core.model.ITriggerPoint

`isTriggerPoint, setTriggerPoint`

## Method Details

### getMethodName

String getMethodName() throws org.eclipse.core.runtime.CoreException
Returns the name of the method(s) this breakpoint suspends execution in, or `null` if this breakpoint does not suspend execution based on method name.

Returns:
  the name of the method(s) this breakpoint suspends execution in, or `null` if this breakpoint does not suspend execution based on method name
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to access the property from this breakpoint's underlying marker

### getMethodSignature

String getMethodSignature() throws org.eclipse.core.runtime.CoreException
Returns the signature of the method(s) this breakpoint suspends execution in, or `null` if this breakpoint does not suspend execution based on method signature.

Returns:
  the signature of the method(s) this breakpoint suspends execution in, or `null` if this breakpoint does not suspend execution based on method signature
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to access the property from this breakpoint's underlying marker

### getTypeName

String getTypeName() throws org.eclipse.core.runtime.CoreException
Returns the pattern specifying the fully qualified name of type(s) this breakpoint suspends execution in. Patterns are limited to exact matches and patterns that begin or end with '*'.

Specified by:
  `getTypeName` in interface `IJavaBreakpoint`
Returns:
  the pattern specifying the fully qualified name of type(s) this breakpoint suspends execution in
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to access the property from this breakpoint's underlying marker
See Also:
  - `IJavaBreakpoint.getTypeName()`

### isEntry

boolean isEntry() throws org.eclipse.core.runtime.CoreException
Returns whether this breakpoint causes execution to suspend on entry to methods.

Returns:
  whether this breakpoint causes execution to suspend on entry to methods
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to access the property from this breakpoint's underlying marker

### isExit

boolean isExit() throws org.eclipse.core.runtime.CoreException
Returns whether this breakpoint causes execution to suspend on exit of methods.

Returns:
  whether this breakpoint causes execution to suspend on exit of methods
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to access the property from this breakpoint's underlying marker

### setEntry

void setEntry(boolean entry) throws org.eclipse.core.runtime.CoreException
Sets whether this breakpoint causes execution to suspend on entry to methods.

Parameters:
  `entry` - whether this breakpoint causes execution to suspend on entry to methods
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to set the property on this breakpoint's underlying marker

### setExit

void setExit(boolean exit) throws org.eclipse.core.runtime.CoreException
Sets whether this breakpoint causes execution to suspend on exit of methods.

Parameters:
  `exit` - whether this breakpoint causes execution to suspend on exit of methods
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to set the property on this breakpoint's underlying marker

### setNativeOnly

void setNativeOnly(boolean nativeOnly) throws org.eclipse.core.runtime.CoreException
Sets whether this breakpoint causes execution to suspend only on entry/exit of native methods.

Parameters:
  `nativeOnly` - whether this breakpoint causes execution to suspend only on entry/exit of native methods
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to set the property on this breakpoint's underlying marker

### isNativeOnly

boolean isNativeOnly() throws org.eclipse.core.runtime.CoreException
Returns whether this breakpoint causes execution to suspend only on entry/exit of native methods.

Returns:
  whether this breakpoint causes execution to suspend only on entry/exit of native methods
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to access the property on this breakpoint's underlying marker

### isEntrySuspend

boolean isEntrySuspend(org.eclipse.debug.core.model.IDebugTarget target)
Returns whether this breakpoint last suspended in the given target due to a method entry (`true`) or exit (`false`).

Parameters:
  `target` - the debug target
Returns:
  `true` if this breakpoint last suspended the given target due to a method entry; `false` if this breakpoint last suspended in the given target due to a method exit or if this breakpoint hasn't suspended the given target.

### isLambdaBreakpoint

boolean isLambdaBreakpoint()
Returns whether this breakpoint a lambda entry breakpoint or not.

Returns:
  `true` if this breakpoint is a lambda entry breakpoint, `false` if not.
Since:
  3.25

### setLambdaBreakpoint

void setLambdaBreakpoint(boolean isLambdaBreakpoint) throws org.eclipse.core.runtime.CoreException
Sets whether this breakpoint lambda entry breakpoint or not

Parameters:
  `isLambdaBreakpoint` - lambda status of the breakpoint
Throws:
  `org.eclipse.core.runtime.CoreException`
Since:
  3.25

### getInlineLambdaPosition

int getInlineLambdaPosition()
Returns the position of lambda in a single line chained lambda expression. Starts with 0

Returns:
  the position of lambda in a lambda expression.
Since:
  3.25

### setInlineLambdaPosition

void setInlineLambdaPosition(int pos) throws org.eclipse.core.runtime.CoreException
Sets the in-line lambda position

Parameters:
  `pos` - lambda position, starts with 0 and cannot be negative
Throws:
  `org.eclipse.core.runtime.CoreException`
Since:
  3.25

### setLambdaName

void setLambdaName(String lambda) throws org.eclipse.core.runtime.CoreException
Sets the local name used by user in the editor for single-lined lambdas

Parameters:
  `lambda` - lambda name
Throws:
  `org.eclipse.core.runtime.CoreException`
Since:
  3.25

### getLambdaName

String getLambdaName()
Returns the local lambda name used by the user in editor

Returns:
  lambda name
Since:
  3.25